<script lang="ts">
  import { Color } from "./game";

  export let color: Color;
  export let inline: boolean = false;

  let colorClass: string;
  let colorEmoji: string;

  $: switch (color) {
    case Color.Yellow:
      colorClass = "yellow";
      colorEmoji = "☀️";
      break;
    case Color.Blue:
      colorClass = "blue";
      colorEmoji = "🐟";
      break;
    case Color.White:
      colorClass = "white";
      colorEmoji = "❄️";
      break;
    case Color.Green:
      colorClass = "green";
      colorEmoji = "🌳";
      break;
    case Color.Red:
      colorClass = "red";
      colorEmoji = "🌋";
      break;
    case Color.Purple:
      colorClass = "purple";
      colorEmoji = "👾";
      break;
  }
</script>

<div class:inline class="color-icon {colorClass} emoji">{colorEmoji}</div>

<style>
  .inline {
    display: inline-block;
  }

  .emoji {
    filter: drop-shadow(0 0 1px #0007);
  }
</style>
